/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef UNITTEST_H
#define UNITTEST_H

void test_fen();
void test_square();
void test_bishopmask();
void test_bitboard();
void test_book();
void test_bucket();
void test_bkrecord();
void test_bposition();
void test_connections();
void test_duration();
void test_pawnhashtable();
void test_phtrecord();
void test_cposition();
void test_principal();
void test_check();
void test_lmr();
void test_magicmoves();
void test_magicnumber();
void test_materialindex();
void test_material();
void test_mobility();
void test_move();
void test_movegenerator();
void test_movelist();
void test_multipv();
void test_xmovelist();
void test_piece();
void test_pst();
void test_analyse();
void test_evaluation();
void test_egt4pieces();
void test_rookmask();
void test_rep3filter();
void test_rmovegenerator();
void test_threadpool();
void test_transposition();
void test_ttrecord();
void test_hasher();
void test_unmake();
void test_uci();


#endif
