/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef GTKMM_PROMOCHOICEDIALOG_H
#define GTKMM_PROMOCHOICEDIALOG_H


#include"promochoiceevent.h"
#include<gtkmm/box.h>
#include<gtkmm/dialog.h>


class PromoChoiceDialog : public Gtk::Dialog
{
 public:
  PromoChoiceDialog(Gtk::Window*,
		    const Glib::RefPtr<Gdk::Pixbuf>&,
		    const Glib::RefPtr<Gdk::Pixbuf>&,
		    const Glib::RefPtr<Gdk::Pixbuf>&,
		    const Glib::RefPtr<Gdk::Pixbuf>&);
  virtual ~PromoChoiceDialog();
  

  int get_choice();
 
 protected:
  virtual bool on_choice_made();

 private:
  Gtk::Box* m_content_box;
  PromoChoiceEvent m_event;
  int m_choice;
};



#endif // GTKMM_PROMOCHOICEDIALOG_H

