/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef LMR_H
#define LMR_H

#include<array>
#include"../common/numerals.h"
using std::array;

class LmrTable
{
 private:
  array<array<char,256>,max_search_depth> m_lmr;

 public:
  LmrTable();
  const char& value(const int&,const unsigned int&)const;
};

#endif
