/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#include"../engine/communicator.h"
#include"interface.h"
#include <gtkmm/application.h>

int main (int argc, char *argv[])
{
  string gui_name=argv[0];
  Gtk::Main kit(argc,argv);
  Communicator com_im;
  //com_im.set_log(true);
  Interface chessboard(com_im,gui_name);
  Gtk::Main::run(chessboard);
  return 0;
}

