/*

Copyright (C) 2018 Werner Taelemans, Belgium

This file is part of Galjoen.

Galjoen is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; version 3 of the License.

Galjoen is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License
along with Galjoen; see the file COPYING.  If not, see
<http://www.gnu.org/licenses/>.

*/

#ifndef GTKMM_PROMOCHOICEDRAW_H
#define GTKMM_PROMOCHOICEDRAW_H

#include<gtkmm/drawingarea.h>
#include<gdkmm/pixbuf.h>


class PromoChoiceDraw : public Gtk::DrawingArea
{
 public:
  PromoChoiceDraw(const PromoChoiceDraw&);
  PromoChoiceDraw(const Glib::RefPtr<Gdk::Pixbuf>&,const Glib::RefPtr<Gdk::Pixbuf>&,
	      const Glib::RefPtr<Gdk::Pixbuf>&,const Glib::RefPtr<Gdk::Pixbuf>&);
  virtual ~PromoChoiceDraw();

 protected:
  virtual bool on_draw(const Cairo::RefPtr<Cairo::Context>& cr);


 private:
  Glib::RefPtr<Gdk::Pixbuf> m_queen,m_rook,m_bishop,m_knight;
};



#endif // GTKMM_PROMOCHOICEDRAW_H

